公告

从 12 月开始,我们将对社区中存在10 年及以上的内容进行归档。本常见问题提供了更多信息

社区
Inventor 产品技术应用讨论区
欢迎访问欧特克Inventor论坛!分享知识,发帖提问,浏览Inventor热帖
取消
显示结果 
显示  仅  | 搜索替代 
您的意思是: 

API如何设置某LeaderNote的文字左右朝向?

8 条回复8
已解决
回复
1 条消息(共 9 条)
Anonymous
1020 次查看, 8 条回复

API如何设置某LeaderNote的文字左右朝向?

使用oLeaderNote = ActiveSheet.DrawingNotes.LeaderNotes.Add 新建出了一条引出线标注。文字朝向默认是与引出线的左右朝向一致的。如何用API反折文字下线使其与引出线左右朝向相反呢?(想实现让文字写在箭头处的正下或正上方)

标记 (1)
8 条回复8
2 条消息(共 9 条)
Xun.Zhang
回复: Anonymous

@Anonymous,

实在抱歉,貌似暂时没有相关的API提供。
希望有所帮助。


Xun
3 条消息(共 9 条)
Anonymous
回复: Xun.Zhang

好的。谢谢回复。

4 条消息(共 9 条)
YuhanZhang
回复: Anonymous

你可以通过改变LeaderNote的Position来改变其位置的,下面的VBA代码你可以试试:

Sub ChangeLeaderTextOrientation()
    Dim oDoc As DrawingDocument
    Set oDoc = ThisApplication.ActiveDocument
    
    Dim oSheet As Sheet
    Set oSheet = oDoc.ActiveSheet
    
    Dim oNote As LeaderNote
    Set oNote = oSheet.DrawingNotes.LeaderNotes(1)
    
    If oNote.Leader.HasRootNode Then
        Dim oPosition As Point2d
        Set oPosition = oNote.Leader.RootNode.Position
        'Debug.Print oPosition.X & "," & oPosition.Y
        
        ' move the text to left
        oPosition.X = oPosition.X - 0.255
        oNote.Position = oPosition
        
        ' move the text to right
        Set oPosition = oNote.Leader.RootNode.Position
        oPosition.X = oPosition.X + 0.255
        oNote.Position = oPosition
        
        ' move the text to above
        Set oPosition = oNote.Leader.RootNode.Position
        oPosition.Y = oPosition.Y + 0.255
        oNote.Position = oPosition
        
        ' move the text to bottom
        Set oPosition = oNote.Leader.RootNode.Position
        oPosition.Y = oPosition.Y - 0.255
        oNote.Position = oPosition
    Else
        Call MsgBox("The leader note has no root node.")
    End If
End Sub


If this solves the problem please click ACCEPT SOLUTION so other people can find it easily.



Rocky Zhang
Inventor API PD
Manufacturing Solutions
Autodesk, Inc.

5 条消息(共 9 条)
Anonymous
回复: YuhanZhang

谢谢回复。可能您没理解我的意思。

一般LeaderNotes.add添加后的效果是这样:note  / 或    \ note

而我想实现的效果是这样:/  note 或  note  \

请问API有什么方法吗?

6 条消息(共 9 条)
YuhanZhang
回复: Anonymous

能否描述一下在UI上你是通过哪些步骤实现的?



If this solves the problem please click ACCEPT SOLUTION so other people can find it easily.



Rocky Zhang
Inventor API PD
Manufacturing Solutions
Autodesk, Inc.

7 条消息(共 9 条)
Anonymous
回复: YuhanZhang

キャプチャ58.PNGキャプチャ59.PNG

 

如图,在UI上用鼠标拖拽靠近文字的绿点,即可改变文字的朝向。可以通过API实现吗?

8 条消息(共 9 条)
YuhanZhang
回复: Anonymous

我给你的VBA代码就是改变这个文字的位置的,你可以调试一下,它会改变四个方向,所以你需要改成哪个方向要自己先判断一下。



If this solves the problem please click ACCEPT SOLUTION so other people can find it easily.



Rocky Zhang
Inventor API PD
Manufacturing Solutions
Autodesk, Inc.

9 条消息(共 9 条)
Anonymous
回复: YuhanZhang

谢谢!的确有效。是我搞错了,调整后的oPosition要带入LeaderNote.Position,我测试时带回了RootNode.Position了,还在纳闷这要如何变方向。。。

谢谢解答!

找不到想要的内容?向社区提问或分享您的知识。

到论坛发帖  

”